Download it now!
Bug 61458 - [FORMATTING] New lines (\n) in heading paragraphs should not be displayed "as-is" in index
Summary: [FORMATTING] New lines (\n) in heading paragraphs should not be displayed "as...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2013-02-25 19:21 UTC by Olivier Hallot
Modified: 2018-08-01 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document illustrating the issue (12.37 KB, application/vnd.oasis.opendocument.text)
2013-02-25 19:21 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2013-02-25 19:21:42 UTC
Created attachment 75527 [details]
sample document illustrating the issue

Some documents have headings spanning in many lines (see attached sample document) with the help of new line character (alt + enter).

The new line character (x0A or \n) inserted in the paragraph should not be carried in the index. The index should be "flat". Example:

In Heading

CHAPTER I \n

Bla bla bla\cr


in Index it shoud display

CHAPTER I Bla Bla Bla.................................10 \cr

(This is possibly an easy hack)
Comment 1 Joel Madero 2013-02-26 03:33:20 UTC
Version 4.1.0.0.alpha0+ (Build ID: b8e0455f201198b1deb8f8ca0181e6c9cadc335
Bodhi Linux 2.2

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
New (confirmed)
Enhancement (Prevents high quality work, looks a bit awkward in the Index)
High (IMHO the index looks a bit awkward as is so I pushed this to High)

ProposedEasyHack
Comment 2 Commit Notification 2013-03-11 09:14:05 UTC
Adam Csaba Kiraly committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ec9f68f25f1d75f63e57570eb24f30ebfcfe2b2

fdo#61458, index should be "flat"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Cédric Bosdonnat 2013-03-11 09:20:10 UTC
Fixed
Comment 4 Robinson Tryon (qubit) 2015-12-18 10:17:37 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval)
[NinjaEdit]